use strict;
use warnings;
use lib 't/lib';
use Test::More qw(no_plan);
use Data::Dumper; $Data::Dumper::Indent = 1;

BEGIN { use_ok 'MTITest'; }

warn MTITest->sources;

my $raw_foo = MTITest->source('Raw::Foo');

is_deeply(
  [ $raw_foo->columns ],
  [ qw(id a) ],
  'Columns for raw foo ok'
);

my $raw_bar = MTITest->source('Raw::Bar');

is_deeply(
  [ $raw_bar->columns ],
  [ qw(id b) ],
);

ok($raw_bar->has_relationship('parent'), 'parent rel exists');

my $parent_info = $raw_bar->relationship_info('parent');

is(
  $parent_info->{source}, 'Raw::Foo',
  'parent rel points to raw parent'
);

warn Dumper $raw_bar->_columns;

warn Dumper $raw_bar->_relationships;
